Runtime

## org.eclipse.gmf.runtime.emf.ui.services.modelingassistant
Interface IModelingAssistantProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  ModelingAssistantProvider, ModelingAssistantService

public interface IModelingAssistantProvider
extends IProvider

The interface for providers of the modeling assistant service.

Method Summary
`java.util.List` `getRelTypesForSREOnSource(IAdaptable source)` Returns a list of relationship types to appear in the popup that the user can select from when showing related elements by double-clicking an outgoing connector handle.
`java.util.List` `getRelTypesForSREOnTarget(IAdaptable target)` Returns a list of relationship types to appear in the popup that the user can select from when showing related elements by double-clicking an incoming connector handle.
`java.util.List` `getRelTypesOnSource(IAdaptable source)` Returns a list of relationship types that could appear in EITHER the popup that appears when creating a connection from source to target or the popup that appears when creating a connection from source to an unspecified target.
`java.util.List` `getRelTypesOnSourceAndTarget(IAdaptable source, IAdaptable target)` Returns a list of relationship types to appear in the popup that the user can select from when creating a relationship from a source element to a target element.
`java.util.List` `getRelTypesOnTarget(IAdaptable target)` Returns a list of relationship types that could appear in EITHER the popup that appears when creating a connection from target to source or the popup that appears when creating a connection from target to an unspecified source.
`java.util.List` `getTypes(java.lang.String hint, IAdaptable data)` Gets a list of types to be used in the popup menu when performing some UI gesture identified by the hint.
`java.util.List` `getTypesForPopupBar(IAdaptable host)` Gets a list of types to be used in the popup bar to support creating an shape or element within the context of another.
`java.util.List` `getTypesForSource(IAdaptable target, IElementType relationshipType)` Returns a list of element types to appear in the popup when creating a relationship from a target element to an unspecified source from which the user can select the source type.
`java.util.List` `getTypesForTarget(IAdaptable source, IElementType relationshipType)` Returns a list of element types to appear in the popup when creating a relationship from a source element to an unspecified target from which the user can select the target type.
`EObject` `selectExistingElementForSource(IAdaptable target, IElementType relationshipType)` Pops up a dialog that allows the user to select an existing element that is to be used as the source in a new relationship being created.
`EObject` `selectExistingElementForTarget(IAdaptable source, IElementType relationshipType)` Pops up a dialog that allows the user to select an existing element that is to be used as the target in a new relationship being created.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getTypes

    public java.util.List getTypes(java.lang.String hint,
                                   IAdaptable data)

  Gets a list of types to be used in the popup menu when performing some UI gesture identified by the hint.

  Parameters:
    `hint` - identifies the hint or gesture
    `data` -
    - provides additional data that is required
    - may be null depending on the hint
  Returns:
    a list of element types (`IElementType`)

### getRelTypesOnSource

    public java.util.List getRelTypesOnSource(IAdaptable source)

  Returns a list of relationship types that could appear in EITHER the popup that appears when creating a connection from source to target or the popup that appears when creating a connection from source to an unspecified target.

  Parameters:
    `source` - the source: adapts to editpart, view, element, etc.
  Returns:
    a list of relationship types (`IElementType`)

### getRelTypesOnTarget

    public java.util.List getRelTypesOnTarget(IAdaptable target)

  Returns a list of relationship types that could appear in EITHER the popup that appears when creating a connection from target to source or the popup that appears when creating a connection from target to an unspecified source.

  Parameters:
    `target` - the target: adapts to editpart, view, element, etc.
  Returns:
    a list of relationship types (`IElementType`)

### getRelTypesOnSourceAndTarget

    public java.util.List getRelTypesOnSourceAndTarget(IAdaptable source,
                                                       IAdaptable target)

  Returns a list of relationship types to appear in the popup that the user can select from when creating a relationship from a source element to a target element.

  Parameters:
    `source` - the source: adapts to editpart, view, element, etc.
    `target` - the target: adapts to editpart, view, element, etc.
  Returns:
    a list of relationship types (`IElementType`)

### getRelTypesForSREOnSource

    public java.util.List getRelTypesForSREOnSource(IAdaptable source)

  Returns a list of relationship types to appear in the popup that the user can select from when showing related elements by double-clicking an outgoing connector handle.

  Parameters:
    `source` - the source: adapts to editpart, view, element, etc.
  Returns:
    a list of relationship types (`IElementType`)

### getRelTypesForSREOnTarget

    public java.util.List getRelTypesForSREOnTarget(IAdaptable target)

  Returns a list of relationship types to appear in the popup that the user can select from when showing related elements by double-clicking an incoming connector handle.

  Parameters:
    `target` - the target: adapts to editpart, view, element, etc.
  Returns:
    a list of relationship types (`IElementType` objects)

### getTypesForSource

    public java.util.List getTypesForSource(IAdaptable target,
                                            IElementType relationshipType)

  Returns a list of element types to appear in the popup when creating a relationship from a target element to an unspecified source from which the user can select the source type.

  Parameters:
    `target` - the target: adapts to editpart, view, element, etc.
    `relationshipType` - the relationship type to be created
  Returns:
    a list of types for the new source (`IElementType` objects)

### getTypesForTarget

    public java.util.List getTypesForTarget(IAdaptable source,
                                            IElementType relationshipType)

  Returns a list of element types to appear in the popup when creating a relationship from a source element to an unspecified target from which the user can select the target type.

  Parameters:
    `source` - the source: adapts to editpart, view, element, etc.
    `relationshipType` - the relationship type to be created
  Returns:
    a list of types for the new target (`IElementType` objects)

### selectExistingElementForSource

    public EObject selectExistingElementForSource(IAdaptable target,
                                                  IElementType relationshipType)

  Pops up a dialog that allows the user to select an existing element that is to be used as the source in a new relationship being created.

  Parameters:
    `target` - the target: adapts to editpart, view, element, etc.
    `relationshipType` - the relationship type to be created
  Returns:
    Returns the `EObject` the user selected, or null if an error occurred or the gesture was cancelled.

### selectExistingElementForTarget

    public EObject selectExistingElementForTarget(IAdaptable source,
                                                  IElementType relationshipType)

  Pops up a dialog that allows the user to select an existing element that is to be used as the target in a new relationship being created.

  Parameters:
    `source` - the source: adapts to editpart, view, element, etc.
    `relationshipType` - the relationship type to be created
  Returns:
    Returns the `IElement` the user selected, or null if an error occurred or the gesture was cancelled.

### getTypesForPopupBar

    public java.util.List getTypesForPopupBar(IAdaptable host)

  Gets a list of types to be used in the popup bar to support creating an shape or element within the context of another.

  Parameters:
    `host` - the host on which the popup bar will be displayed: adapts to editpart, view, element, etc.
  Returns:
    a list of element types (`IElementType`)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.